Opened 14 years ago

Closed 14 years ago

#10960 closed enhancement (fixed)

RFE: FreeTDS-0.64 remove patches and add a mssql variant

Reported by: jcbuffington@… Owned by: yeled@…
Priority: Low Milestone:
Component: ports Version:
Keywords: Cc: jcbuffington@…, markd@…
Port:

Description

This ticket removes the patchfiles and adds a MS SQL configuration variant to the FreeTDS-0.64 port.

--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/databases/FreeTDS/Portfile     2006-10-05 21:03:01.000000000 -0400
+++ /Users/jcb/dports-dev/databases/FreeTDS/Portfile    2006-10-16 07:53:56.000000000 -0400
@@ -1,4 +1,4 @@
-# $Id: Portfile,v 1.5 2005/09/29 21:14:29 mww Exp $
+# $Id$
 
 PortSystem 1.0
 name                   freetds
@@ -27,19 +27,15 @@
 }
 
 platform darwin 7 {
-       patchfiles      patch-src-tds-Makefile.in patch-src-server-Makefile.in \
-               patch-src-ctlib-Makefile.in patch-src-odbc-Makefile.in \
-               patch-src-dblib-Makefile.in patch-src-apps-Makefile.in
-
        pre-build {
                system "cp /usr/bin/glibtool ${worksrcpath}/libtool"
        }
 }
 
 platform darwin 8 {
-       patchfiles      patch-src-tds-Makefile.in patch-src-server-Makefile.in \
-               patch-src-ctlib-Makefile.in patch-src-odbc-Makefile.in \
-               patch-src-dblib-Makefile.in patch-src-apps-Makefile.in
        configure.env   CC=/usr/bin/gcc-4.0 CPP=/usr/bin/cpp-4.0 CXX=/usr/bin/g++-4.0
 }
 
+variant mssql {
+       configure.args-append = --enable-msdblib --with-tdsver=8.0
+}

Change History (3)

comment:1 Changed 14 years ago by markd@…

Cc: jcbuffington@… markd@… added

What makes these patches obsolete?

comment:2 Changed 14 years ago by jcbuffington@…

markd@,

Good question. I removed the patches because I could not understand what there purpose was in FreeTDS release 0.64. I was able to successfully build and test FreeTDS 0.64 without the patches. I originally expected the build without the patches to fail as the patches changed linker options. Instead, the build was successful.

My tests were not exhaustive as I do not have access to any Sybase databases.

comment:3 Changed 14 years ago by markd@…

Resolution: fixed
Status: newclosed

I added the mssql variant. Thanks! I am a little worried about removing the patches without knowing for sure they won't be needed so I left them for now since no one has reported trouble yet.

Note: See TracTickets for help on using tickets.